import { ChangeDetectorRef, AfterViewInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { BuilderTask, BuilderControl, BuilderModel, BuilderField } from '../../models/builder.model';
import { BuilderService } from '../../../dnd/services/builder.service';
export declare class FBFormTabComponent implements AfterViewInit {
    protected ref: ChangeDetectorRef;
    private builderService;
    protected _task: BuilderTask;
    task: BuilderTask;
    protected _control: BuilderControl;
    control: BuilderControl;
    protected _group: FormGroup;
    group: FormGroup;
    protected _tabIndex: number;
    tabIndex: number;
    private _activeModel;
    private _availableModels;
    availableModels: BuilderModel;
    readonly missingFieldsDebug: boolean;
    readonly activeModel: BuilderControl | BuilderField;
    readonly wrongElement: boolean;
    readonly isSection: boolean;
    constructor(ref: ChangeDetectorRef, builderService: BuilderService);
    ngAfterViewInit(): void;
    fieldType(type: number | string): string;
    controlGroupType(type: number | string): string;
    columnsClass(control: BuilderControl): string;
    private setupModel();
}
